SocketCAN documentation is available within Linux kernel documentation online on
https://www.kernel.org/doc/Documentation/networking/can.txt
or in linux-doc packages.

Upstream site is hosted on github:
https://github.com/linux-can

Mailing list:
http://vger.kernel.org/vger-lists.html#linux-can

Most actual documentation could be obtained from utilities themselves with
--help option.
